Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
findings
/
{finding_ref}
Get a finding in a repository.
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/findings/{finding_ref}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "number": 123,
  "attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "description": "<string>",
  "relatedFiles": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "path": "<string>",
      "lines": {
        "start": 123,
        "end": 123
      },
      "language": "<string>",
      "relevantContent": "<string>"
    }
  ],
  "createdBy": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "username": "<string>",
    "avatar": "<string>",
    "isBot": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pingsLeft": 123,
    "reputation": 123,
    "disabledAt": "2023-11-07T05:31:56Z",
    "deletedFromRepoAt": "2023-11-07T05:31:56Z"
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "lastUpdatedAt": "2023-11-07T05:31:56Z",
  "locked": true,
  "hasUnreadComments": true,
  "unreadCommentsNumber": 123,
  "repository": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "allowedSeverities": []
  },
  "company": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "handle": "<string>"
  },
  "reward": "<string>",
  "fixedBy": [
    "<string>"
  ],
  "duplicateOf": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "number": 123,
    "title": "<string>"
  },
  "duplicates": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "number": 123,
      "title": "<string>"
    }
  ],
  "duplicateGroup": {
    "description": "<string>",
    "findings": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "number": 123,
        "title": "<string>"
      }
    ]
  },
  "category": "<string>",
  "labels": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "isSystem": true,
      "reviewerRead": true,
      "reviewerUse": true,
      "description": "<string>",
      "archivedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "assignedTo": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "username": "<string>",
    "avatar": "<string>",
    "isBot": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "pingsLeft": 123,
    "reputation": 123,
    "disabledAt": "2023-11-07T05:31:56Z",
    "deletedFromRepoAt": "2023-11-07T05:31:56Z"
  },
  "assetGroup": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "description": "<string>",
    "outOfScope": true,
    "rewards": [
      {
        "minReward": "<string>",
        "maxReward": "<string>"
      }
    ],
    "assets": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "description": "<string>",
        "reference": "<string>"
      }
    ],
    "subGroups": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "assets": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "description": "<string>",
            "reference": "<string>"
          }
        ],
        "description": "<string>"
      }
    ]
  },
  "lastCommentAt": "2023-11-07T05:31:56Z",
  "safeHarborAssets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "description": "<string>"
    }
  ],
  "note": "<string>",
  "paymentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "researcherStats": {
    "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "spamCount": 123,
    "rejectedCount": 123,
    "confirmedCount": 123,
    "bountiesParticipated": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.cantina.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

repo_id
string<uuid>
required
finding_ref
required

Reference to a finding, either a finding id or finding number.

Response

Finding with optional researcher stats

Finding within a respository.

id
string<uuid>
required
number
integer<int32>
required
attributedTo
string<uuid>
required

Team id.

title
string
required
description
string
required
status
enum<string>
required

Status of a [Finding]. Note that the in_review status is only applicable within bounties.

Available options:
new,
in_review,
disputed,
rejected,
spam,
duplicate,
confirmed,
acknowledged,
fixed,
withdrawn
severity
enum<string>
required

Severity of a [Finding].

Available options:
critical,
high,
medium,
low,
informational,
gas_optimization
createdBy
object
required

User data in the context of a repository.

createdAt
string<date-time>
required
lastUpdatedAt
string<date-time>
required
locked
boolean
required
hasUnreadComments
boolean
required

Whether this finding has comments unread by the current user.

unreadCommentsNumber
integer<int32>
required

The number of comments this finding has that are unread by the current user.

repository
object

Only returned by list_all_findings.

company
object

Only returned by list_all_findings.

reward
string | null
fixedBy
string[]
duplicateOf
object

The root finding this finding is a duplicate of.

duplicates
object[]

All findings that are a duplicate of this finding.

For findings that have no duplicates, this will be empty.

duplicateGroup
object

Only returned for admins, judges and triagers.

likelihood
null | enum<string>

Likelihood of a [Finding].

Available options:
high,
medium,
low
impact
null | enum<string>

Impact of a [Finding].

Available options:
high,
medium,
low
quality
null | enum<string>

Only returned for admins, judges and triagers.

Available options:
high,
medium,
low
category
string | null

Only returned for admins.

labels
object[]
assignedTo
object

User assigned to the finding.

assetGroup
object

Group of [Asset]s.

lastCommentAt
string<date-time> | null

Timestamp of the most recent comment on this finding, if any.

safeHarborAssets
object[]
note
string | null

Note field for additional finding information.

paymentId
string<uuid> | null

Payment ID linked to this finding, if any.

paymentStatus
null | enum<string>

Status of the payment linked to this finding, if any.

Available options:
planned,
scheduled,
submitted,
disputed,
executed,
rejected,
failed,
cancelled
researcherStats
object